Subject: Re: bug#19244: 24.3; ido-find-file bug

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 03 Aug 2019 14:53:14 +0200

Chris Drane <[email-masked]> writes:

>  I am experiencing a frustrating bug when trying to load a directory at point
> using ido-find-file.
>
>  The line I am working on is:
>
>  (add-to-list 'ac-dictionary-directories
> "~/.emacs.d/elpa/auto-complete-20141111.2346/dict")
>
>  Point is within the quotes. I try C-x C-f and instead of opening the directory
> (which is a valid one, I have checked repeatedly), it instead suggests that I
> open "~/.emacs.d/elpa/cider-20141116.1221/dict"
>
>  I can only guess that it is tripping up on auto-complete's directory for some
> reason. I have checked other paths though, and ido finds them properly.

(I'm going through old bug reports that unfortunately have not received
any responses yet.)

I'm unable to reproduce this bug in Emacs 27.  I installed the
auto-complete package, so I have

~/.emacs.d/elpa/auto-complete-1.4/dict/

If I put point within the quotes here:

(add-to-list 'ac-dictionary-directories
"~/.emacs.d/elpa/auto-complete-1.4/dict")

and say `M-x ido-find-file', I just get the normal ido prompt (starting
from the current directory).

Are you still seeing this problem?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no